package com.lz.modules.performance.controller;


import com.alibaba.fastjson.JSONObject;
import com.lz.common.utils.PageUtils;
import com.lz.common.utils.R;
import com.lz.common.utils.StringUtil;
import com.lz.modules.flow.entity.EvaluationStartStaff;
import com.lz.modules.flow.service.EvaluationStartStaffService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;

@RestController
@RequestMapping("/evaluationStartStaff")
public class EvaluationStartStaffController {


    @Autowired
    private EvaluationStartStaffService evaluationStartStaffService;





     @RequestMapping("/getById")
     public R getById(@RequestBody EvaluationStartStaff evaluationStartStaff) {
        evaluationStartStaff = evaluationStartStaffService.selectEvaluationStartStaffById(evaluationStartStaff.getId());
        return R.ok().put("evaluationStartStaff",evaluationStartStaff);
     }


     @RequestMapping("/update")
     public R update(@RequestBody EvaluationStartStaff evaluationStartStaff) {
         evaluationStartStaffService.updateEvaluationStartStaffById(evaluationStartStaff);
        return R.ok();
     }


     @RequestMapping("/save")
        public R save(@RequestBody EvaluationStartStaff evaluationStartStaff) {
         evaluationStartStaffService.insertEvaluationStartStaff(evaluationStartStaff);
        return R.ok();
     }


    @RequestMapping("/delete")
    public R list(@RequestBody Long id) {
        evaluationStartStaffService.deleteEvaluationStartStaffById(id);
        return R.ok();
     }
}
